Subject: Re: [RESEND][PATCH] [NET_SCHED]make qdisc_restart more readable

From: Patrick McHardy <[email-masked]>
Date: Thu, 24 May 2007 18:13:54 +0200

Waskiewicz Jr, Peter P wrote:
>>sigh. 
>>I wont be able to do this change until tonight or tommorow 
>>morning. I think the process i am using to re-generate 
>>patches maybe too consuming?
>>Maybe you could offer some advice. Heres what i do:
>>1. clone Daves latest tree localy
>>2. clone another tree from that
>>3. create patch on second clone
>>4. compile; test;compile;test until looks reasonable 5. 
>>commit with the comments 6. submit 7. build other patches on 
>>top (example batching in this case) 8. feedback on patch 
>>comes back 9. Re-do steps #2-#6
>>
>>My steps #2-#6 are expensive; is there a way to optimize that process?
> 
> 
> [..]
> 
> One tree, multiple branches, very quick to move between them, low
> overhead.  If this works for you, also look at stacked GIT (stg) for
> pushing and popping patches from your tree - very handy.

I have also found that stgit is a huge time saver, especially for
making changes to patches or when dealing with many patches with
interdependencies.